Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Interface RemoteCommitProvider

All Superinterfaces:
  com.solarmetric.util.Closeable

All Known Implementing Classes:
  AbstractRemoteCommitProvider

public interface RemoteCommitProvider
extends com.solarmetric.util.Closeable

An entity that is responsible for communicating commit notification to other `RemoteCommitEventManager`s. Each event manager creates a remote commit provider, based on the values of the `kodo.RemoteCommitProvider` configuration property.

An adapter that implements `TransactionListener` is registered with each `KodoPersistenceManager`. This adapter invokes `broadcast`, which is responsible for notifying other remote commit provider objects of the commit changes.

Upon receiving a notification from a different remote commit provider, a provider must notify all local remote commit listeners via the `RemoteCommitEventManager.fireEvent(java.lang.Object, java.lang.Object)` method.

A remote commit provider must not fire remote events for commits that originated with a local persistence manager.

Since:
  2.5.0

Method Summary
`void` | `broadcast(RemoteCommitEvent event)` Notifies other remote event managers in this JVM and on other machines of changes to the cache.
`void` | `close()` Close any resources used by this provider
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager mgr)` Set the "owning" remote event manager to notify when remote events are received from remote sources.

Method Detail

### setRemoteCommitEventManager

    public void setRemoteCommitEventManager(RemoteCommitEventManager mgr)

  Set the "owning" remote event manager to notify when remote events are received from remote sources.

### broadcast

    public void broadcast(RemoteCommitEvent event)

  Notifies other remote event managers in this JVM and on other machines of changes to the cache. This method must not notify the event manager associated with the persistence manager that originated this commit.

### close

    public void close()

  Close any resources used by this provider
  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.